Subject: [compost_tea] Source for "Oklahoma Humus" -- Infinity Fertilizer

From: "Steve Diver" <[email-masked]>
Date: Mon, 26 Apr 2004 03:29:36 -0000

Compost tea practitioners are familiar with

Alaska Humus and they've heard of Georgia Humus.

Now, you can add Oklahoma Humus to your toolbox.

Passing along this source I just learned about

on Earth Day, April 22nd.

Infinity Fertilizer

[Contact:  Richard Eckstein]

P.O. Box 89

Wildwood, OK  74964

918-422-4177

918-422-4177 FAX

[email-masked]

http://www.infinityfertilizer.com

50-lb bag / $30

Richard said it comes from his family farm,

which has a 1,000 acre timber stand in the

Ozark Hills of Eastern Oklahoma. Basically, this

is forest humus that is bagged and sold as

an organic fertilizer.

Based on the sample I obtained, it looks

and feels like a forest soil with lots of

organic matter but also clay.  It is

heavier than compost or peat humus.

Richard hasn't run any microbiological lab

tests, yet.

I'm passing this along in case you want to

try it out as a specialized substrate for

humus tea containing wild microbial strains

from Oklahoma.

Steve Diver

Yahoo! Groups Links

To visit your group on the web, go to:
http://groups.yahoo.com/group/compost_tea/

To unsubscribe from this group, send an email to:
[email-masked]

Your use of Yahoo! Groups is subject to the Yahoo! Terms of Service.